# Toy data set for the methods seminar on data management SS2024

## Responsible person

Nora Wickelmaier

Referentin Forschungsmethoden und Forschungsdatenmanagement

Leibniz-Institut für Wissensmedien (IWM)

n.wickelmaier@iwm-tuebingen.de

## Folder structure and naming conventions

```
/example/
|
|- /code/
|- /data/
    |- /codebook/
    |- /rawdata/
    |- /results/
```

The `code` folder contains analysis scripts written in R. The scripts are
numbered, indicating the order they should be executed in.

The `data` folder contains all folders associated with data and its
documentation.

The `code` folder with contains different codebook options and R scripts that
create these codebooks. If the codebook is created by an R script, the script
and the codebook are named identically, e.g., `codebook_01.R` and
`codebook_01.xslx`.

The `rawdata` folder contains the downloads from Qualtrics. In Qualtrics, the
variables have been selected and ordered and then downloaded, without the
additional columns Qualtrics adds by default. The naming convention for the
downloaded files is
```
RDM_MS_SS2024_download_<YYYY-MM-DD>.<fileending>
```
No other files than the downloads from qualtrics should go into this folder!

The `results` folder contains processed data. The scripts in `/code/` process
the data from `/rawdata/` and save the files containing the processed data to
`/results/`. Data can be exported as CSV files or RData files. If different file
formats contain the same data, they should be named identically, e.g.,
`data_rdm-ms-ss2024_cleaned.csv` and `data_rdm-ms-ss2024_cleaned.RData`.

